Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.convention
Class DefaultResultMapBuilder.ResultInfo

    java.lang.Object
      org.apache.struts2.convention.DefaultResultMapBuilder.ResultInfo

Enclosing class:
  DefaultResultMapBuilder

    protected class DefaultResultMapBuilder.ResultInfo

extends Object

Field Summary
`String` | `location`
`String` | `name`
`String` | `type`

Constructor Summary
`DefaultResultMapBuilder.ResultInfo(Result result, com.opensymphony.xwork2.config.entities.PackageConfig packageConfig, String resultPath, Class<?> actionClass, Map<String,com.opensymphony.xwork2.config.entities.ResultTypeConfig> resultsByExtension)`
`DefaultResultMapBuilder.ResultInfo(String name, String location, com.opensymphony.xwork2.config.entities.PackageConfig packageConfig, Map<String,com.opensymphony.xwork2.config.entities.ResultTypeConfig> resultsByExtension)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    public final String name

### location

    public final String location

### type

    public final String type

Constructor Detail

### DefaultResultMapBuilder.ResultInfo

    public DefaultResultMapBuilder.ResultInfo(String name,
                                              String location,
                                              com.opensymphony.xwork2.config.entities.PackageConfig packageConfig,
                                              Map<String,com.opensymphony.xwork2.config.entities.ResultTypeConfig> resultsByExtension)

### DefaultResultMapBuilder.ResultInfo

    public DefaultResultMapBuilder.ResultInfo(Result result,
                                              com.opensymphony.xwork2.config.entities.PackageConfig packageConfig,
                                              String resultPath,
                                              Class<?> actionClass,
                                              Map<String,com.opensymphony.xwork2.config.entities.ResultTypeConfig> resultsByExtension)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.